Freeciv-3.3: /fast/freeciv/nightly/main/client/gui-gtk-3.22/unitselunitdlg.c File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Structures | Functions
unitselunitdlg.c File Reference
`#include <gtk/gtk.h>`
`#include "fcintl.h"`
`#include "game.h"`
`#include "movement.h"`
`#include "unit.h"`
`#include "control.h"`
`#include "tilespec.h"`
`#include "gui_main.h"`
`#include "gui_stuff.h"`
`#include "sprite.h"`
`#include "unitselect.h"`
`#include "unitselunitdlg.h"`

Go to the source code of this file.

## Data Structures

struct | unit_sel_unit_cb_data

## Functions

static void | unit_sel_unit_toggled (GtkToggleButton *tb, gpointer userdata)
static void | unit_sel_unit_destroyed (GtkWidget *radio, gpointer userdata)
bool | select_tgt_unit (struct unit *actor, struct tile *ptile, struct unit_list *potential_tgt_units, struct unit *suggested_tgt_unit, const gchar *dlg_title, const gchar *actor_label, const gchar *tgt_label, const gchar *do_label, GCallback do_callback)

## Function Documentation

## ◆ select_tgt_unit()

bool select_tgt_unit | ( | struct unit * | actor,
|  | struct tile * | ptile,
|  | struct unit_list * | potential_tgt_units,
|  | struct unit * | suggested_tgt_unit,
|  | const gchar * | dlg_title,
|  | const gchar * | actor_label,
|  | const gchar * | tgt_label,
|  | const gchar * | do_label,
|  | GCallback | do_callback
| ) |  |

Create a dialog where a unit select what other unit to act on.

Definition at line 70 of file unitselunitdlg.c.

Referenced by act_sel_new_unit_tgt_callback(), and request_transport().

## ◆ unit_sel_unit_destroyed()

static void unit_sel_unit_destroyed | ( | GtkWidget * | radio,
|  | gpointer | userdata
| ) |  |

static

Callback to handle destruction of one of the target unit buttons.

Definition at line 62 of file unitselunitdlg.c.

Referenced by select_tgt_unit().

## ◆ unit_sel_unit_toggled()

static void unit_sel_unit_toggled | ( | GtkToggleButton * | tb,
|  | gpointer | userdata
| ) |  |

static

Callback to handle toggling of one of the target unit buttons.

Definition at line 48 of file unitselunitdlg.c.

Referenced by select_tgt_unit().